package net.sf.jasperreports.engine.fill;

import net.sf.jasperreports.engine.JRDefaultStyleProvider;
import net.sf.jasperreports.engine.JREllipse;
import net.sf.jasperreports.engine.JRGraphicElement;
import net.sf.jasperreports.engine.JROrigin;

public class JRTemplateEllipse extends JRTemplateGraphicElement {
  private static final long serialVersionUID = 10200L;
  
  protected JRTemplateEllipse(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JREllipse ellipse) {
    super(origin, defaultStyleProvider);
    setEllipse(ellipse);
  }
  
  protected void setEllipse(JREllipse ellipse) {
    setGraphicElement((JRGraphicElement)ellipse);
  }
}
